
User Interface - Bug #3113

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

web client failure when trying to connect two web clients to the same P2J server

05/17/2016 01:25 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 05/17/2016 01:26 PM - Greg Shah

Constantin reports:

have you tried connecting two web clients, to the same server (on the same machine)?  I get a " POST XHR https://localhost:7443/gui [HTTP/1.1

401 Unauthorized " if another web client is active.

#2 - 05/17/2016 01:44 PM - Sergey Ivanovskiy

Greg Shah wrote:

Constantin reports:

have you tried connecting two web clients, to the same server (on the same machine)?  I get a " POST XHR https://localhost:7443/gui

[HTTP/1.1 401 Unauthorized " if another web client is active.

 

It seems that the server supports only one web client because the web java side process opens the provided 7449 port. What is the directory.xml to

reproduce? What is a correct behavior in the considered test case?

#3 - 05/17/2016 02:01 PM - Constantin Asofiei

Sergey, I think you might be right, at that time I forgot that the web port (on which the redirection is done) is hard-coded to 7449.  Please try setting

the webClient/port node in directory.xml to "0" (or just remove the entry) - if you can start two web clients on the same machine, then all is working

properly.
#4 - 05/17/2016 02:28 PM - Sergey Ivanovskiy

Have checked that if webClient/port is 0, then we can use two clients simultaneously. I think the debug port is also must be removed because the

same address is in use

<node class="string" name="jvmArgs">

  <node-attribute name="value" value="-Xmx512m -XX:MaxPermSize=64m -Djava.awt.headless=true -Xdebug -Xnoagent 

-Djava.compiler=NONE -agentlib:jdwp=transport=dt_socket,address=9999,server=y,suspend=n"/>

</node>

#5 - 05/17/2016 02:29 PM - Constantin Asofiei

Sergey Ivanovskiy wrote:

Have checked that if webClient/port is 0, then we can use two clients simultaneously. I think the debug port is also must be removed because the

same address is in use

[...]

 

Yes, that too needs to be removed.

So, as your tests worked, there's nothing else to do at this task.

#6 - 05/17/2016 02:47 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

#7 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
